×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    May 2009
    Posts
    16

    Do I have to install S60 SDK to develop Bluetooth app?

    I can not find any bluetooth lib in Qt. Should I have to use S60 sdk to develop bluetooth app? Is there any hint ? code example would be better. thanks.
    my platform is Symbian^3, my device is Nokia E7

    orginal post:
    http://discussion.forum.nokia.com/fo...909#post837909

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Do I have to install S60 SDK to develop Bluetooth app?

    There is no Bluetooth API in Qt Mobility yet, but there will be one in the 1.2 release. Until then, you could experiment with QBluetooth but since that library does not have an official release you may indeed have to use Symbian C++ APIs if you plan to release your app.

    P.S. I'll remove the duplicate thread.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    May 2009
    Posts
    16

    Re: Do I have to install S60 SDK to develop Bluetooth app?

    How to use symbian c++ APIs in Qt Creator?

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Do I have to install S60 SDK to develop Bluetooth app?

    Same as any other API, but with a bit more care. The QBluetooth project should be a good example of that, if nothing else. See also http://discussion.forum.nokia.com/fo...ian-C-together
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. Do I have to install S60 SDK to develop Bluetooth app?
    By ioricat in forum [Archived] Qt Mobility Project
    Replies: 1
    Last Post: 2011-05-02, 20:59
  2. do i have to request a UID in order to install the .sis?
    By sumn79 in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2004-02-10, 05:11
  3. HELP!! What do I have to install to do java on Series 60 phones?
    By lazmous in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-03-27, 09:01
  4. Replies: 0
    Last Post: 2003-03-26, 13:42

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×